Bug 27351 - UsageStatsCountry system preference wrong type YesNo
Summary: UsageStatsCountry system preference wrong type YesNo
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-06 14:30 UTC by Fridolin Somers
Modified: 2021-02-11 22:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02,20.05.08


Attachments
Bug 27351: Fix UsageStatsCountry system preference wrong type (2.13 KB, patch)
2021-01-06 14:37 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27351: Fix UsageStatsCountry system preference wrong type (2.19 KB, patch)
2021-01-07 13:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27351: Fix UsageStatsCountry system preference wrong type (2.24 KB, patch)
2021-01-08 13:37 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27351: (QA follow-up) Use skeleton.perl and add description (1.43 KB, patch)
2021-01-08 13:37 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-01-06 14:30:41 UTC Comment hidden (obsolete)
Comment 1 Fridolin Somers 2021-01-06 14:33:24 UTC
UsageStatsCountry system preference type 'YesNo' is wrong since it has several values.
Change to 'Choice'
Comment 2 Fridolin Somers 2021-01-06 14:37:48 UTC
Created attachment 114891 [details] [review]
Bug 27351: Fix UsageStatsCountry system preference wrong type

UsageStatsCountry system preference type 'YesNo' is wrong since it has several values.
Change to 'Choice'.
Looks like this error whas only in updatedabase 3.17.00.030.

Test plan :
1) Run atomic update
2) Check in database 'UsageStatsCountry' system preference type is 'Choice'
Comment 3 Owen Leonard 2021-01-07 13:40:51 UTC
Created attachment 114920 [details] [review]
Bug 27351: Fix UsageStatsCountry system preference wrong type

UsageStatsCountry system preference type 'YesNo' is wrong since it has
several values.
Change to 'Choice'.
Looks like this error whas only in updatedabase 3.17.00.030.

Test plan :
1) Run atomic update
2) Check in database 'UsageStatsCountry' system preference type is
   'Choice'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Nick Clemens 2021-01-08 13:37:10 UTC
Created attachment 114960 [details] [review]
Bug 27351: Fix UsageStatsCountry system preference wrong type

UsageStatsCountry system preference type 'YesNo' is wrong since it has
several values.
Change to 'Choice'.
Looks like this error whas only in updatedabase 3.17.00.030.

Test plan :
1) Run atomic update
2) Check in database 'UsageStatsCountry' system preference type is
   'Choice'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2021-01-08 13:37:12 UTC
Created attachment 114961 [details] [review]
Bug 27351: (QA follow-up) Use skeleton.perl and add description

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-01-08 14:23:31 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-11 12:39:53 UTC
Pushed to 20.11.x for 20.11.02
Comment 8 Andrew Fuerste-Henry 2021-01-15 23:11:37 UTC
Pushed to 20.05.x for 20.05.08
Comment 9 Victor Grousset/tuxayo 2021-01-22 01:31:41 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.